disable-kube-proxy: true
disable-network-policy: true
disable-cloud-controller: true
advertise-address: '{{ k3s_node_ip }}'
bind-address: '{{ k3s_node_ip }}'
node-external-ip: '{{ k3s_node_ip }}'
node-ip: '{{ k3s_node_ip }}'
tls-san:
  - '{{ k3s_node_ip }}'
disable:
  - 'traefik'
  - 'metrics-server'
  - 'servicelb'
flannel-backend: 'none'
protect-kernel-defaults: true
secrets-encryption: true
kube-apiserver-arg:
  - 'kubelet-preferred-address-types=InternalIP,ExternalIP,Hostname'
  - 'audit-log-path=/var/lib/rancher/k3s/server/logs/audit.log'
  - 'audit-policy-file=/var/lib/rancher/k3s/server/audit.yaml'
  - 'audit-log-maxage=30'
  - 'audit-log-maxbackup=10'
  - 'audit-log-maxsize=100'
  - 'request-timeout=300s'
  - 'service-account-lookup=true'
kube-controller-manager-arg:
  - 'terminated-pod-gc-threshold=10'
  - 'use-service-account-credentials=true'
kubelet-arg:
  - 'streaming-connection-idle-timeout=5m'
  - 'make-iptables-util-chains=true'

